@echo off
setlocal
:: Do not use spaces in paths and do 
:: NOT wrap in quotes

set BCDEDIT=bcdedit.exe
set BCDSTORE="%~dp0BCD"
::___________________________________

Echo Creating BCD Store...
%BCDEDIT% /createstore %BCDSTORE% 
echo.
echo.
Echo Adding {bootmgr} entry...
%BCDEDIT% /store %BCDSTORE% /create {bootmgr}
%BCDEDIT% /store %BCDSTORE% /set {bootmgr} description "Boot Manager"
%BCDEDIT% /store %BCDSTORE% /set {bootmgr} device boot
%BCDEDIT% /store %BCDSTORE% /set {bootmgr} timeout 20
echo.
echo.
Echo Creating ramdisksdidevice entry...
for /f "tokens=2 delims={}" %%g in ('%BCDEDIT% /store %BCDSTORE% /create /device') do set ramdisk={%%g} 
%BCDEDIT% /store %BCDSTORE% /set %ramdisk% ramdisksdidevice boot
%BCDEDIT% /store %BCDSTORE% /set %ramdisk% ramdisksdipath \boot\boot.sdi 
%BCDEDIT% /store %BCDSTORE% /set %ramdisk% ramdisktftpblocksize 16384
%BCDEDIT% /store %BCDSTORE% /set %ramdisk% ramdisktftpwindowsize 8
echo.
echo.
Echo Adding RAM Boot WinPE entry...
for /f "tokens=2 delims={}" %%g in ('%BCDEDIT% /store %BCDSTORE% /create /application osloader') do set GUID={%%g}
%BCDEDIT% /store %BCDSTORE% /set %GUID% systemroot \Windows
%BCDEDIT% /store %BCDSTORE% /set %GUID% detecthal Yes
%BCDEDIT% /store %BCDSTORE% /set %GUID% winpe Yes
%BCDEDIT% /store %BCDSTORE% /set %GUID% osdevice ramdisk=[boot]\boot\boot.wim,%ramdisk%
%BCDEDIT% /store %BCDSTORE% /set %GUID% device ramdisk=[boot]\boot\boot.wim,%ramdisk%
%BCDEDIT% /store %BCDSTORE% /set %GUID% path \windows\system32\winload.exe
%BCDEDIT% /store %BCDSTORE% /set %GUID% description "WinPE (boot.wim - BIOS)"
%BCDEDIT% /store %BCDSTORE% /displayorder %guid% /addlast
echo.
echo.
Echo Adding RAM Boot WinPE entry...
for /f "tokens=2 delims={}" %%g in ('%BCDEDIT% /store %BCDSTORE% /create /application osloader') do set GUID={%%g}
%BCDEDIT% /store %BCDSTORE% /set %GUID% systemroot \Windows
%BCDEDIT% /store %BCDSTORE% /set %GUID% detecthal Yes
%BCDEDIT% /store %BCDSTORE% /set %GUID% winpe Yes
%BCDEDIT% /store %BCDSTORE% /set %GUID% osdevice ramdisk=[boot]\boot\boot.wim,%ramdisk%
%BCDEDIT% /store %BCDSTORE% /set %GUID% device ramdisk=[boot]\boot\boot.wim,%ramdisk%
%BCDEDIT% /store %BCDSTORE% /set %GUID% path \windows\system32\winload.efi
%BCDEDIT% /store %BCDSTORE% /set %GUID% description "WinPE (boot.wim - UEFI)"
%BCDEDIT% /store %BCDSTORE% /displayorder %guid% /addlast

echo.
endlocal
pause
exit

